package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 船员培训类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/03/26
 */
@Getter
public enum DsCrewTrainTypeEnums implements CodeDescEnumInterface {
    SPECIAL_FISHING_TRAINING(1, "专项捕捞培训"),
    SAFE_TRAINING(2, "安全培训"),
    RESCUE_TRAINING(3, "救援常识培训"),
    SKILLS_TRAINING(4, "技能培训"),
    REMOTE_WORK_TRAINING(5, "远海作业"),
    OTHER(6, "其他");

    private final Integer code;
    private final String desc;

    DsCrewTrainTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
